For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • DELDelete
      • PATCHUpdate
      • GETSearch
LogoLogo
BlogLogin
API Referenceknowledge

List

GET
https://api.flockx.io/api/v1/knowledge
GET
/api/v1/knowledge
$curl https://api.flockx.io/api/v1/knowledge \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "id": "foo",
5 "name": "foo",
6 "organization_id": "foo",
7 "is_active": true,
8 "description": "foo"
9 }
10 ],
11 "meta": {
12 "total": 42,
13 "has_next": true,
14 "has_previous": true,
15 "page": 42
16 }
17}
List knowledge graphs for the active organization.
Was this page helpful?
Previous

Create

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
sort_orderenum or nullOptional

Sort order (asc or desc)

Allowed values:
querystring or nullOptionalDefaults to
idstring or nullOptionalformat: "uuid"

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error